export interface runnerControllerOptions {
    gqlURN: string;
    network: string;
    portsHash?: any;
    handlersHash?: any;
    docker: number;
}
export interface handlerOptions {
    handler: string;
    code: string;
    jwt: string;
    data: any;
    port?: number;
}
export declare const runnerControllerOptionsDefault: runnerControllerOptions;
export declare class RunnerController {
    gqlURN: string;
    network: string;
    docker: number;
    portsHash: {
        [id: number]: string;
    };
    handlersHash: {
        [id: string]: number;
    };
    constructor(options?: runnerControllerOptions);
    useHandler(options: handlerOptions): Promise<{
        error?: string;
    }>;
    initHandler(options: handlerOptions): Promise<{
        error?: string;
    }>;
    callHandler(options: handlerOptions): Promise<{
        error?: string;
    }>;
}
